---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::Color Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1Color.html">Color</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1Color-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::Color Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Implicit converter for colors.  
 <a href="classtgui_1_1Color.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Color_8hpp_source.html">Color.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9c74477778994d5c16678a7cdf1ac174"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Color.html#a9c74477778994d5c16678a7cdf1ac174">Color</a> (const sf::Color &amp;color)</td></tr>
<tr class="memdesc:a9c74477778994d5c16678a7cdf1ac174"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create the object from an sf::Color.  <a href="#a9c74477778994d5c16678a7cdf1ac174">More...</a><br /></td></tr>
<tr class="separator:a9c74477778994d5c16678a7cdf1ac174"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae59be2fdd4e2b185cef9a06eda61a4c0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Color.html#ae59be2fdd4e2b185cef9a06eda61a4c0">Color</a> (sf::Uint8 red, sf::Uint8 green, sf::Uint8 blue, sf::Uint8 alpha=255)</td></tr>
<tr class="memdesc:ae59be2fdd4e2b185cef9a06eda61a4c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create the object from an the RGB or RGBA values.  <a href="#ae59be2fdd4e2b185cef9a06eda61a4c0">More...</a><br /></td></tr>
<tr class="separator:ae59be2fdd4e2b185cef9a06eda61a4c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9e4053a43d22fa354a676cb28a92706"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Color.html#aa9e4053a43d22fa354a676cb28a92706">Color</a> (const char *string)</td></tr>
<tr class="memdesc:aa9e4053a43d22fa354a676cb28a92706"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create the object from a string.  <a href="#aa9e4053a43d22fa354a676cb28a92706">More...</a><br /></td></tr>
<tr class="separator:aa9e4053a43d22fa354a676cb28a92706"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c5b792182dc46b1d1425b165d9697fe"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Color.html#a5c5b792182dc46b1d1425b165d9697fe">Color</a> (const std::string &amp;string)</td></tr>
<tr class="memdesc:a5c5b792182dc46b1d1425b165d9697fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create the object from a string.  <a href="#a5c5b792182dc46b1d1425b165d9697fe">More...</a><br /></td></tr>
<tr class="separator:a5c5b792182dc46b1d1425b165d9697fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a090b1e85e00b57c7477f6a476e98919f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Color.html#a090b1e85e00b57c7477f6a476e98919f">operator sf::Color</a> () const </td></tr>
<tr class="memdesc:a090b1e85e00b57c7477f6a476e98919f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert this object into an sf::Color object.  <a href="#a090b1e85e00b57c7477f6a476e98919f">More...</a><br /></td></tr>
<tr class="separator:a090b1e85e00b57c7477f6a476e98919f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Implicit converter for colors. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a9c74477778994d5c16678a7cdf1ac174"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Color::Color </td>
          <td>(</td>
          <td class="paramtype">const sf::Color &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Create the object from an sf::Color. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td><a class="el" href="classtgui_1_1Color.html" title="Implicit converter for colors. ">Color</a> to copy </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae59be2fdd4e2b185cef9a06eda61a4c0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Color::Color </td>
          <td>(</td>
          <td class="paramtype">sf::Uint8&#160;</td>
          <td class="paramname"><em>red</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">sf::Uint8&#160;</td>
          <td class="paramname"><em>green</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">sf::Uint8&#160;</td>
          <td class="paramname"><em>blue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">sf::Uint8&#160;</td>
          <td class="paramname"><em>alpha</em> = <code>255</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Create the object from an the RGB or RGBA values. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">red</td><td>Red component </td></tr>
    <tr><td class="paramname">green</td><td>Green component </td></tr>
    <tr><td class="paramname">blue</td><td>Blue component </td></tr>
    <tr><td class="paramname">alpha</td><td>Alpha component </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa9e4053a43d22fa354a676cb28a92706"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Color::Color </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>string</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Create the object from a string. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">string</td><td>String to be deserialized as color</td></tr>
  </table>
  </dd>
</dl>
<p>The <a class="el" href="classtgui_1_1Deserializer.html" title="Deserialize an settable property. ">Deserializer</a> class is used to convert the string into a color. </p>

</div>
</div>
<a class="anchor" id="a5c5b792182dc46b1d1425b165d9697fe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Color::Color </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>string</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Create the object from a string. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">string</td><td>String to be deserialized as color</td></tr>
  </table>
  </dd>
</dl>
<p>The <a class="el" href="classtgui_1_1Deserializer.html" title="Deserialize an settable property. ">Deserializer</a> class is used to convert the string into a color. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a090b1e85e00b57c7477f6a476e98919f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Color::operator sf::Color </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert this object into an sf::Color object. </p>
<dl class="section return"><dt>Returns</dt><dd>The color stored in this object </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/<a class="el" href="Color_8hpp_source.html">Color.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:42 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
